Переполнение буфера в odbc-postgresql

Дата публикации:
08.06.2004
Всего просмотров:
1403
Опасность:
Высокая
Наличие исправления:
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Воздействие:
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Уязвимые версии: odbc-postgresql 07.03.0200-2 и более ранние версии

Описание: Переполнение буфера обнаружено в odbc-postgresql. Удаленный пользователь может аварийно завершить работу целевого пользователя или выполнить произвольный код.

Удаленный пользователь может представить специально обработанные данные, чтобы вызвать переполнение буфера в в 'misc.c' в функции make_string(). Уязвимость может использоваться для выполнения произвольного кода на уязвимой системе.

URL производителя: http://www.Apache.org

Решение:Способов устранения обнаруженной уязвимости не существует в настоящее время.

Ссылки: odbc-postgresql: SIGSEGV with long inputs (> 10000 bytes)

или введите имя

CAPTCHA